Package org.apache.catalina

## Interface GSSRealm

All Superinterfaces:
  `Contained`, `Realm`

All Known Implementing Classes:
  `CombinedRealm`, `DataSourceRealm`, `JAASMemoryLoginModule`, `JAASRealm`, `JDBCRealm`, `JNDIRealm`, `LockOutRealm`, `MemoryRealm`, `NullRealm`, `RealmBase`, `UserDatabaseRealm`

    @Deprecated
    public interface GSSRealm
    extends Realm

Deprecated.
This will be removed in Tomcat 9 and integrated into `Realm`.
A GSSRealm is a specialized realm for GSS-based principals.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.security.Principal` `authenticate​(org.ietf.jgss.GSSName gssName, org.ietf.jgss.GSSCredential gssCredential)` Deprecated. Try to authenticate using a `GSSName`

### Methods inherited from interface org.apache.catalina.Contained

`getContainer, setContainer`

### Methods inherited from interface org.apache.catalina.Realm

`addPropertyChangeListener, authenticate, authenticate, authenticate, authenticate, authenticate, authenticate, backgroundProcess, findSecurityConstraints, getCredentialHandler, getRoles, hasResourcePermission, hasRole, hasUserDataPermission, isAvailable, removePropertyChangeListener, setCredentialHandler`

### Method Detail

#### authenticate

    java.security.Principal authenticate​(org.ietf.jgss.GSSName gssName,
                                         org.ietf.jgss.GSSCredential gssCredential)

Deprecated.
Try to authenticate using a `GSSName`

Parameters:
  `gssName` - The `GSSName` of the principal to look up
  `gssCredential` - The `GSSCredential` of the principal, may be `null`
Returns:
  the associated principal, or `null` if there is none